Atualizar conta de serviço
curl --request PATCH \
--url https://iam.basaltic.sh/v1/service-accounts/{service_account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Service account for automated deployments",
"tags": {
"environment": "production",
"team": "backend"
},
"enabled": true
}
'import requests
url = "https://iam.basaltic.sh/v1/service-accounts/{service_account_id}"
payload = {
"description": "Service account for automated deployments",
"tags": {
"environment": "production",
"team": "backend"
},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Service account for automated deployments',
tags: {environment: 'production', team: 'backend'},
enabled: true
})
};
fetch('https://iam.basaltic.sh/v1/service-accounts/{service_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"service_account": {
"linux_identity": {
"home_directory": "/home/vagner",
"username": "vagner",
"uid": 1000100000,
"gid": 1000100000
},
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:iam::production:service-account/deploy-bot",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "ci-cd-pipeline",
"description": "Service account for automated deployments",
"tags": {
"environment": "production",
"team": "backend"
},
"enabled": true,
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-16T14:20:00Z",
"account_handle": "production"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Contas de serviço
Atualizar conta de serviço
Atualizar uma conta de serviço
PATCH
/
v1
/
service-accounts
/
{service_account_id}
Atualizar conta de serviço
Requer a ação do IAM
iam:UpdateServiceAccount. Consulte permissões de IAM para obter a lista completa, o que cada uma abrange e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Parâmetros de caminho
ID da conta de serviço
Corpo
application/json
Resposta
Conta de serviço atualizada
Uma identidade somente de API para acesso programático, vinculada a uma conta
Show child attributes
Show child attributes

